Subject: [PATCH 0/2] RFC: Port Virtex-II Pro code to use the platform bus

From: Grant Likely <[email-masked]>
Date: Sat, 10 Sep 2005 01:33:23 -0600

Here is my work to date to bring the V2Pro port over to the platform
bus.  I don't expect these to be accepted as-is, but I'm looking for
comments before I get it polished.

Should apply cleanly against 2.6.13 (but may require the TLB patch first)
http://patchwork.ozlabs.org/linuxppc/patch?id=3D2058

Patch 1: changes from the ML300 perspective.  I temporarly don't have
access to an ML300 so this is untested (but it compiles).  Could
somebody please test this for me?

Patch 2: example patch for another V2PRO based board.  This isn't
really acceptable for mainline because it's not based on a reference
or published FPGA design, but it shows the work required to bring up
another board.  It also shines some light on what code should be
common between all V2Pro ports (which I'm working on).  This one runs
on a 2VP4-FG456 eval board (pls ignore all the references to 2VP30).